%global pypi_name sphinxcontrib-apidoc
%global common_desc \
This package contains Sphinx extension for running sphinx-apidoc_ \
on each build.Overview *sphinx-apidoc* is a tool for automatic generation \
of Sphinx sources that, using the autodoc <sphinx_autodoc>_ extension, \
documents a whole package in the style of other automatic API documentation \
tools. *sphinx-apidoc* does not actually build documentation - rather it \
simply generates it.

Summary:        A Sphinx extension for running 'sphinx-apidoc' on each build
Name:           python-%{pypi_name}
Version:        0.4.0
Release:        2%{?dist}
License:        BSD
URL:            http://www.sphinx-doc.org/
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python3-devel python3-pbr python3-sphinx python3-pytest python3-setuptools

BuildArch:      noarch

%description
%common_desc

%package -n python3-%{pypi_name}
Summary:        %{summary}
Requires:       python3-pbr python3-sphinx

%description -n python3-%{pypi_name}
%common_desc

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinxcontrib_apidoc*nspkg.pth
%{python3_sitelib}/sphinxcontrib/apidoc
%{python3_sitelib}/sphinxcontrib_apidoc-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.0-2
- Rebuilt for loongarch release

* Thu Sep 21 2023 Shuo Wang <abushwang@tencent.com> - 0.4.0-1
- update to 0.4.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 kianli <kianli@tencent.com> - 0.3.0-1 
- initial build
